org.apache.cayenne.ashwood.graph

## Class ReversedIteration.ReversedArcIterator<S,T>

- java.lang.Object
- - org.apache.cayenne.ashwood.graph.ReversedIteration.ReversedArcIterator<S,T>

- All Implemented Interfaces:
    Iterator<T>, ArcIterator<S,T>
  Enclosing class:
    ReversedIteration<E,V>

      public static class ReversedIteration.ReversedArcIterator<S,T>
      extends Object
      implements ArcIterator<S,T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cayenne.ashwood.graph.ArcIterator

      `ArcIterator.EmptyIterator<E,V>`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.ashwood.graph.ArcIterator

      `EMPTY_ITERATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReversedArcIterator(ArcIterator<S,T> wrappedIterator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `S` | `getDestination()`
    `S` | `getOrigin()`
    `boolean` | `hasNext()`
    `T` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ReversedArcIterator

          public ReversedArcIterator(ArcIterator<S,T> wrappedIterator)

  - ### Method Detail

    - #### getOrigin

          public S getOrigin()

      Specified by:
        `getOrigin` in interface `ArcIterator<S,T>`

    - #### getDestination

          public S getDestination()

      Specified by:
        `getDestination` in interface `ArcIterator<S,T>`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<T>`

    - #### next

          public T next()

      Specified by:
        `next` in interface `Iterator<T>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T>`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.